<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 2</title>
    <link rel="stylesheet" href="https://unpkg.com/marx-css/css/marx.min.css">
    <style>
        .product{
            width: 600px;
            margin: 3em;
            border-radius: 50px;
            background: #e0e0e0;
            box-shadow:  20px 20px 60px #bebebe,
                        -20px -20px 60px #ffffff;
        }
        .line, .product, .products{
            display: flex;
            justify-content: space-around;
        }
        .products{
            width: 90vw;
            flex-wrap: wrap;
        }
        .product, .product div {
            padding: 1em;
        }
        .product-img{
            width:33%;
        }
        .product-info{
            width: 50%;
        }
        .product-img img{
            border-radius: 5%;
        }
        s{color: red;}
    </style>
</head>
<body>
    <main>
        <header>
            <h1>Our awesome products level 2</h1>
            <nav>
                <a href="../level1">Level 1</a>
                <a href="../level2">Level 2</a>
                <a href="../level3">Level 3</a>
                <a href="../level4">Level 4</a>
                <a href="../level5">Level 5</a>
                <a href="../level6">Level 6</a>
            </nav>
            <blockquote>
                Récuperer tous les nom, prix, ref et description des produits sur cette page.
                <p>
                    Calculer pour chaque produit le taux de réduction entre le prix barré et
                    le prix de vente.
                </p> 
            </blockquote>
        </header>
    </main>
    <div class="products">
        {% for product in product2 %}
            <div class="product">
                <div class="product-img">
                    <img src="https://picsum.photos/200" alt="Prody prod">
                </div>
                <div class="product-info">
                    <h2>{{ product.name }}</h2>
                    <p>{{ product.description }}</p>
                    <small>{{ product.ref }}</small>
                    <div class="line">
                        {% assign randomNumber = "now" | date: "%N" | modulo: 17 | plus: 3 | divided_by: 100 %}
                        {% assign randomNumber = 1 | minus: randomNumber %}
                        <strong class="price"><s>{{ product.price | round: 2 }}€</s></strong>
                        <strong class="price">{{ product.price | times: 0.88 | round: 2 }}€</strong>
                        <a href="/404" class="btn">BUY !</a>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
</body>
</html>